VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmAiLoad 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "AiChip Propeller Downloader - VB6 32-Bit"
   ClientHeight    =   1905
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   6960
   Icon            =   "AiLoad32.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   1905
   ScaleWidth      =   6960
   Begin VB.CommandButton btnReBoot 
      Caption         =   "&Reboot"
      Height          =   375
      Left            =   4680
      TabIndex        =   15
      Top             =   1380
      Width           =   1035
   End
   Begin MSComDlg.CommonDialog DialogFileOpen 
      Left            =   4140
      Top             =   60
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MSCommLib.MSComm SerialPort 
      Left            =   3420
      Top             =   0
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   0   'False
      RThreshold      =   1
      BaudRate        =   115200
   End
   Begin VB.CommandButton btnBrowse 
      Caption         =   "&Browse"
      Height          =   315
      Left            =   5820
      TabIndex        =   14
      Top             =   540
      Width           =   1035
   End
   Begin VB.CommandButton btnClosePort 
      Caption         =   "&Close Port"
      Enabled         =   0   'False
      Height          =   375
      Left            =   5820
      TabIndex        =   13
      Top             =   1380
      Width           =   1035
   End
   Begin VB.CommandButton btnShutdown 
      Caption         =   "&Shutdown"
      Height          =   375
      Left            =   3540
      TabIndex        =   12
      Top             =   1380
      Width           =   1035
   End
   Begin MSComctlLib.ProgressBar barProgress 
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   960
      Width           =   6735
      _ExtentX        =   11880
      _ExtentY        =   450
      _Version        =   393216
      Appearance      =   1
      Scrolling       =   1
   End
   Begin VB.CommandButton btnFind 
      Caption         =   "&Find"
      Height          =   375
      Left            =   120
      TabIndex        =   10
      Top             =   1380
      Width           =   1035
   End
   Begin VB.CheckBox chkDensePacking 
      Caption         =   "Dense Packing"
      Height          =   315
      Left            =   2700
      TabIndex        =   9
      Top             =   540
      Width           =   1455
   End
   Begin VB.TextBox txtFilename 
      Height          =   315
      Left            =   540
      TabIndex        =   7
      Text            =   "c:\picaxe\vb3\enhanced.eeprom"
      Top             =   120
      Width           =   6315
   End
   Begin VB.TextBox txtBaud 
      Height          =   315
      Left            =   1620
      TabIndex        =   4
      Text            =   "115200"
      Top             =   540
      Width           =   855
   End
   Begin VB.TextBox txtPort 
      Height          =   315
      Left            =   540
      TabIndex        =   3
      Text            =   "3"
      Top             =   540
      Width           =   435
   End
   Begin VB.CommandButton btnDownload 
      Caption         =   "&Download"
      Height          =   375
      Left            =   2400
      TabIndex        =   2
      Top             =   1380
      Width           =   1035
   End
   Begin VB.CheckBox chkWriteEeprom 
      Caption         =   "Write Eeprom"
      Height          =   315
      Left            =   4320
      TabIndex        =   1
      Top             =   540
      Width           =   1335
   End
   Begin VB.CommandButton btnIdentify 
      Caption         =   "&Identify"
      Height          =   375
      Left            =   1260
      TabIndex        =   0
      Top             =   1380
      Width           =   1035
   End
   Begin VB.Label lblGeneric 
      Caption         =   "File"
      Height          =   195
      Index           =   2
      Left            =   120
      TabIndex        =   8
      Top             =   180
      Width           =   375
   End
   Begin VB.Label lblGeneric 
      Caption         =   "Baud"
      Height          =   195
      Index           =   1
      Left            =   1140
      TabIndex        =   6
      Top             =   600
      Width           =   435
   End
   Begin VB.Label lblGeneric 
      Caption         =   "Port"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   5
      Top             =   600
      Width           =   375
   End
End
Attribute VB_Name = "frmAiLoad"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub btnBrowse_Click()
Dim fileList$

  With DialogFileOpen
    .DialogTitle = "Select Download File"
    .CancelError = True
    .Flags = cdlOFNHideReadOnly + cdlOFNFileMustExist + cdlOFNExplorer ' = &H80000
    fileList$ = ""
    fileList$ = fileList$ + _
      "Image Files (*.eeprom,*.binary,*.eep,*.bin)|*.eeprom;*.binary;*.eep;*.bin|" + _
      "Eeprom Files (*.eeprom,*.eep)|*.eeprom;*.eep|" + _
      "Binary Files (*.binary,*.bin)|*.binary;*.bin|" + _
      "All Files (*.*)|*.*"
    .Filter = fileList$
    .InitDir$ = txtFilename.Text
    On Error Resume Next
    .ShowOpen
    On Error GoTo 0
    If .filename$ <> "" Then
      txtFilename.Text = Trim$(.filename$)
    End If
  End With

End Sub




Private Sub btnClosePort_Click()
  Call SerialPort_Close
End Sub

Private Sub btnFind_Click()
  Me.Enabled = False
  Call ImportSettings
  Call Do_Find
  Me.Enabled = True
End Sub

Private Sub btnIdentify_Click()
  Me.Enabled = False
  Call ImportSettings
  Call Do_Identify
  Me.Enabled = True
End Sub

Private Sub btnDownload_Click()
  Me.Enabled = False
  Call ImportSettings
  Call Do_Download
  Me.Enabled = True
End Sub

Private Sub btnReBoot_Click()
  Me.Enabled = False
  Call ImportSettings
  Call Do_Reboot
  Me.Enabled = True
End Sub

Private Sub btnShutdown_Click()
  Me.Enabled = False
  Call ImportSettings
  Call Do_ShutDown
  Me.Enabled = True
End Sub


Private Sub Form_Load()
    
 Me.Top = GetSetting(App.EXEName, "Window", "Top", Me.Top)
 Me.Left = GetSetting(App.EXEName, "Window", "Left", Me.Left)
 txtPort.Text = GetSetting(App.EXEName, "Settings", "Port", "1")
 txtBaud.Text = GetSetting(App.EXEName, "Settings", "Baud", "115200")
 txtFilename.Text = GetSetting(App.EXEName, "Settings", "File", "")
 chkDensePacking.Value = GetSetting(App.EXEName, "Settings", "Pack", "0")
 chkWriteEeprom.Value = GetSetting(App.EXEName, "Settings", "Save", "0")

End Sub

Private Sub Form_Unload(Cancel As Integer)
  Call SerialPort_Close
  
  If Me.WindowState <> vbMinimized Then
    SaveSetting App.EXEName, "Window", "Top", Me.Top
    SaveSetting App.EXEName, "Window", "Left", Me.Left
  End If
  
  SaveSetting App.EXEName, "Settings", "Port", txtPort.Text
  SaveSetting App.EXEName, "Settings", "Baud", txtBaud.Text
  SaveSetting App.EXEName, "Settings", "File", txtFilename.Text
  SaveSetting App.EXEName, "Settings", "Pack", chkDensePacking.Value
  SaveSetting App.EXEName, "Settings", "Save", chkWriteEeprom.Value

End Sub


Private Sub SerialPort_OnComm()

Const MSCOMM_EVENT_SEND% = 1
Const MSCOMM_EVENT_RECEIVE% = 2
Const MSCOMM_EVENT_CTS% = 3
Const MSCOMM_EVENT_DSR% = 4
Const MSCOMM_EVENT_CD% = 5
Const MSCOMM_EVENT_RING% = 6
Const MSCOMM_EVENT_EOF% = 7

Const MSCOMM_EVENT_BREAK% = 1001
Const MSCOMM_EVENT_CTSTO% = 1002
Const MSCOMM_EVENT_DSRTO% = 1003
Const MSCOMM_EVENT_FRAME% = 1004
Const MSCOMM_EVENT_OVERRUN% = 1006
Const MSCOMM_EVENT_CDTO% = 1007
Const MSCOMM_EVENT_RXOVER% = 1008
Const MSCOMM_EVENT_RXPARITY% = 1009
Const MSCOMM_EVENT_TXFULL% = 1010

Dim rxData$

  Select Case SerialPort.CommEvent

    Case MSCOMM_EVENT_RECEIVE

      rxData$ = SerialPort.Input
      Call RxdData(rxData$)
  
  End Select

End Sub



